CHIP_TARGET_ARCH := armv7em

CHIP_DEFS += CHIP_CORETYPE_CM4 ARM_MATH_CM4

CHIP_CORE_FLAGS = -mcpu=cortex-m4 -mthumb -mfloat-abi=hard

CHIP_CFLAGS  += $(CHIP_CORE_FLAGS)
CHIP_ASFLAGS += $(CHIP_CORE_FLAGS)
CHIP_LDFLAGS += $(CHIP_CORE_FLAGS)

